Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: [OMPI users] error configuring OpenMPI 1.6.4 with gcc 4.7.2
From: Alan Sayre (ansayre62_at_[hidden])
Date: 2013-04-01 17:09:08


I have exactly the same problem as reported by Paul Hutton and David O
Gunter (2012-12-06)

tail of configure output

checking Fortran 90 kind of MPI_INTEGER_KIND (selected_int_kind(9))...
configure: error: Could not determine kind of
selected_int_kind(MPI_INTEGER_KIND)

selection from config.log

configure:53602: gfortran -o conftest conftestf.f90
configure:53609: $? = 0
configure:53649: ./conftest
./conftest: /usr/lib64/libgfortran.so.3: version `GFORTRAN_1.4' not found
(required by ./conftest)
configure:53656: $? = 1
configure:53665: error: Could not determine kind of
selected_int_kind(MPI_INTEGER_KIND)

Unfortunately I don't understand how this was resolved. I checked and the
/usr/local/gcc-4.7.2/lib64 directory is populated with shared objects
(including libgfortran.so.3)..

I used the following commands in a script:

LD_LIBRARY_PATH=/usr/local/gcc-4.7.2/lib64:$LD_LIBRARY_PATH

PATH=/usr/local/gcc-4.7.2/bin:$PATH

./configure --prefix=/usr/local/openmpi-1.6.4 \
--enable-static

If it is useful I can attach config.log...

Thanks,

Alan